<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="author" content="irstheme">

    <title> My Profile</title>

    <!--    <link href="assets/css/themify-icons.css" rel="stylesheet">-->
    <link href="assets/css/font-awesome.min.css" rel="stylesheet">
    <link href="assets/fonts/flaticon/flaticon.css" rel="stylesheet">
    <link href="assets/css/bootstrap.min.css" rel="stylesheet">
    <link href="assets/css/animate.css" rel="stylesheet">
    <link href="assets/css/owl.carousel.css" rel="stylesheet">
    <link href="assets/css/owl.theme.css" rel="stylesheet">
    <link href="assets/css/slick.css" rel="stylesheet">
    <link href="assets/css/slick-theme.css" rel="stylesheet">
    <link href="assets/css/owl.transitions.css" rel="stylesheet">
    <link href="assets/css/jquery.fancybox.css" rel="stylesheet">
    <link href="assets/css/odometer-theme-default.css" rel="stylesheet">
    <link href="assets/css/jquery.bxslider.min.css" rel="stylesheet">
    <link href="assets/css/style.css" rel="stylesheet">
    <link href="assets/css/responsive.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

<div class="page-wrapper">

    <!-- start preloader -->
    <div class="preloader">
        <div class="lds-ripple">
            <div></div>
            <div></div>
        </div>
    </div>
    <!-- end preloader -->

    <!-- Start header -->
    <header id="header" class="site-header header-style-1">
        <a style="margin-left: 150px" class="navbar-brand" th:href="@{/}" href="#"><img src="../static/assets/images/our-logo.png" alt></a>
        <div th:insert="fragments/navbar.html"></div>
    </header>
    <!-- end of header -->
    <div class="service-page-style">
        <!-- start page-title -->
        <section class="page-title">
            <div class="container">
                <div class="row">
                    <div class="col col-xs-12">
                        <h2>My Profile</h2>
                        <ol class="breadcrumb">
                            <li><a href="index.html">Home</a></li>
                            <li>My Profile</li>
                        </ol>
                    </div>
                </div> <!-- end row -->
            </div> <!-- end container -->
        </section>
        <!-- end page-title -->
        <!-- .hx-team-area start -->
    </div>
</div>

<a style="margin-left: 43%; margin-top: 50px" data-toggle="modal" data-target="#quoteModal" href="#"
   class="theme-btn-s2">Change password</a>

<div class="modal fade" id="quoteModal" tabindex="-1"
     role="dialog"
     aria-labelledby="quoteModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                <h3 class="modal-title" id="quoteModalLabel">Please enter customer's data.</h3>
            </div>
            <div class="modal-body">
                <form id="register-form" th:action="@{/profile/password}" th:object="${passwordDto}"
                      method="POST">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="register-firstname">Current Password</label>
                                <input id="register-firstname" name="register-firstname"
                                       type="text" class="form-control"
                                       required autofocus placeholder=""
                                       th:field="*{currentPassword}">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="register-lastname">New Password</label>
                                <input id="register-lastname" name="register-lastname"
                                       type="text"
                                       class="form-control" required placeholder=""
                                       th:field="*{newPassword}">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="register-repeat">Repeat Password</label>
                                <input id="register-repeat" name="register-repeat"
                                       type="text"
                                       class="form-control" required placeholder=""
                                       th:field="*{repeatNewPassword}">
                            </div>
                        </div>
                        <button type="submit" class="btn btn-success">Create</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div style="margin-left: 145px" class="page-content page-container" id="page-content">
    <div class="padding">
        <div class="row container d-flex justify-content-center">
            <div class="col-xl-6 col-md-12">
                <div class="card user-card-full">
                    <div class="row m-l-0 m-r-0">
                        <div class="col-sm-4 bg-c-lite-green user-profile">
                            <div class="card-block text-center text-white">
                                <div class="m-b-25"><img src="https://img.icons8.com/bubbles/100/000000/user.png"
                                                         class="img-radius" alt="User-Profile-Image"></div>
                                <h6 class="f-w-600" th:text="${customer.firstName}">Hembo</h6>
                                <h6 class="f-w-600" th:text="${customer.lastName}">Roberts</h6>
                                <p th:if="${currentUser.isCustomer()}">Customer</p>
                                <i class=" mdi mdi-square-edit-outline feather icon-edit m-t-10 f-16"></i>
                            </div>
                        </div>
                        <div class="col-sm-8">
                            <div class="card-block">
                                <h6 class="m-b-20 p-b-5 b-b-default f-w-600">Information</h6>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <p class="m-b-10 f-w-600">Email</p>
                                        <h6 class="text-muted f-w-400" th:text="${currentUser.email}">
                                            rntng@gmail.com</h6>
                                    </div>
                                    <div class="col-sm-6">
                                        <p class="m-b-10 f-w-600">Phone</p>
                                        <h6 class="text-muted f-w-400" th:text="${customer.phone}">0989799898</h6>
                                    </div>
                                </div>
                                <h6 class="m-b-20 m-t-40 p-b-5 b-b-default f-w-600">Recent Vehicle</h6>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <p class="m-b-10 f-w-600">Model</p>
                                        <h6 class="text-muted f-w-400">Clio</h6>
                                    </div>
                                    <div class="col-sm-6">
                                        <p class="m-b-10 f-w-600">Brand</p>
                                        <h6 class="text-muted f-w-400">Renault</h6>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<a style="margin-left: 44%;margin-bottom: 100px" data-toggle="modal" data-target="#quoteModalUpdate" href="#"
   class="theme-btn-s3">Update Profile</a>


<div class="modal fade" id="quoteModalUpdate" tabindex="-1"
     role="dialog"
     aria-labelledby="quoteModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                <h3 class="modal-title">Please enter customer's data.</h3>
            </div>
            <div class="modal-body">
                <form th:action="@{/profile/update}" th:object="${customerDto}"
                      onsubmit="return(validate());"
                      method="POST">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="profile-firstname">First Name</label>
                                <input id="profile-firstname" name="profile-firstname"
                                       type="text" class="form-control"
                                       required autofocus placeholder=""
                                       th:placeholder="${customer.firstName}"
                                       th:field="*{firstName}">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="profile-lastname">Last Name</label>
                                <input id="profile-lastname" name="profile-lastname"
                                       type="text"
                                       class="form-control" required placeholder=""
                                       th:placeholder="${customer.lastName}"
                                       th:field="*{lastName}">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="profile-phone">Phone</label>
                                <input id="profile-phone" name="profile-phone"
                                       type="text" class="form-control" required
                                       placeholder="0XXXXXXXXX"
                                       th:placeholder="${customer.phone}"
                                       th:field="*{phone}">
                                <span style="color: #be0003" id="error-phone"></span>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-success">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- All JavaScript files
================================================== -->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>

<!-- Plugins for this template -->
<script src="assets/js/jquery-plugin-collection.js"></script>

<!-- Custom script for this template -->
<script src="assets/js/script.js"></script>
</body>
</html>